## unibilium 1.1.3

=== Makefile ===
ifeq ($(shell uname),Darwin)
  LIBTOOL?=glibtool
else
  LIBTOOL?=libtool
endif

CFLAGS?=

CFLAGS_DEBUG=

PACKAGE=unibilium

PKG_MAJOR=1
PKG_MINOR=1
PKG_REVISION=3

PKG_VERSION=$(PKG_MAJOR).$(PKG_MINOR).$(PKG_REVISION)

# I am implementation $LT_REVISION of binary interface $LT_CURRENT, which is
# a superset of all interfaces back to $LT_CURRENT - $LT_AGE.
LT_REVISION=1
LT_CURRENT=2
LT_AGE=2

PREFIX=/usr/local
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include
MANDIR=$(PREFIX)/share/man
MAN3DIR=$(MANDIR)/man3

TERMINFO_DIRS="/etc/terminfo:/lib/terminfo:/usr/share/terminfo:/usr/lib/terminfo:/usr/local/share/terminfo:/usr/local/lib/terminfo"

POD2MAN=pod2man
POD2MAN_OPTS=-c "$(PACKAGE)" -s3 -r "$(PACKAGE)-$(PKG_VERSION)"

PROVE=prove

ifeq ($(DEBUG),1)
  CFLAGS_DEBUG=-ggdb -DDEBUG
endif

OBJECTS=unibilium.lo uninames.lo uniutil.lo
LIBRARY=libunibilium.la

PODS=$(wildcard doc/*.pod)
MANPAGES=$(addprefix man/,$(notdir $(PODS:.pod=.3.gz)))

TOOLS=$(wildcard tools/*.c)

TESTS=$(wildcard t/*.c)

.PHONY: all
all: $(LIBRARY) build-man build-tools build-test

%.lo: %.c unibilium.h
	$(LIBTOOL) --mode=compile --tag=CC $(CC) -I. -Wall -std=c99 $(CFLAGS) $(CFLAGS_DEBUG) -o $@ -c $<

uniutil.lo: uniutil.c unibilium.h
	$(LIBTOOL) --mode=compile --tag=CC $(CC) -I. -DTERMINFO_DIRS='$(TERMINFO_DIRS)' -Wall -std=c99 $(CFLAGS) $(CFLAGS_DEBUG) -o $@ -c $<

$(LIBRARY): $(OBJECTS)
	$(LIBTOOL) --mode=link --tag=CC $(CC) -rpath '$(LIBDIR)' -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) -o $@ $^

tools/%: $(LIBRARY) tools/%.lo
	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^

%.t: $(LIBRARY) %.lo
	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^

.PHONY: build-tools
build-tools: $(TOOLS:.c=)

.PHONY: build-test
build-test: $(TESTS:.c=.t)

.PHONY: test
test: build-test
	$(PROVE)

.PHONY: clean
clean:
	$(LIBTOOL) --mode=clean rm -f $(OBJECTS) $(LIBRARY) $(MANPAGES)
	$(LIBTOOL) --mode=clean rm -f tools/.libs/* t/.libs/*  # XXX there has to be a better way
	$(LIBTOOL) --mode=clean rm -f $(TOOLS:.c=) $(TOOLS:.c=.o) $(TESTS:.c=.t) $(TESTS:.c=.o)

.PHONY: install
install: install-inc install-lib install-man
	$(LIBTOOL) --mode=finish '$(DESTDIR)$(LIBDIR)'

.PHONY: install-inc
install-inc:
	mkdir -p '$(DESTDIR)$(INCDIR)'
	install -m644 unibilium.h '$(DESTDIR)$(INCDIR)'
	mkdir -p '$(DESTDIR)$(LIBDIR)/pkgconfig'
	sed 's,@VERSION@,$(PKG_VERSION),;s,@LIBDIR@,$(LIBDIR),;s,@INCDIR@,$(INCDIR),' <unibilium.pc.in >'$(DESTDIR)$(LIBDIR)/pkgconfig/unibilium.pc'

.PHONY: install-lib
install-lib:
	mkdir -p '$(DESTDIR)$(LIBDIR)'
	$(LIBTOOL) --mode=install cp $(LIBRARY) '$(DESTDIR)$(LIBDIR)/$(LIBRARY)'

.PHONY: install-man
install-man: build-man
	mkdir -p '$(DESTDIR)$(MAN3DIR)'
	install -m644 $(MANPAGES) '$(DESTDIR)$(MAN3DIR)'

.PHONY: build-man
build-man: $(MANPAGES)

man/%.3.gz: doc/%.pod
	$(POD2MAN) $(POD2MAN_OPTS) $< | gzip > $@

## unibilium 1.1.4

=== debian/changelog ===
unibilium (1.1.4-1) unstable; urgency=medium

  * New upstream release
  * Make libunibilium-dbg M-A: same

 -- James McCoy <jamessan@debian.org>  Wed, 17 Jun 2015 23:08:40 -0400

unibilium (1.1.3-1) unstable; urgency=medium

  * Initial upload. (Closes: #783043)

 -- James McCoy <jamessan@debian.org>  Sat, 25 Apr 2015 23:07:24 -0400

## unibilium 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,30 @@
+ifneq ($(wildcard .git),)
+  -include maint.mk
+endif
+
 ifeq ($(shell uname),Darwin)
   LIBTOOL?=glibtool
 else
   LIBTOOL?=libtool
 endif
 
-CFLAGS?=
+CFLAGS?=-O2
 
 CFLAGS_DEBUG=
 
 PACKAGE=unibilium
 
 PKG_MAJOR=1
-PKG_MINOR=1
-PKG_REVISION=3
+PKG_MINOR=2
+PKG_REVISION=0
 
 PKG_VERSION=$(PKG_MAJOR).$(PKG_MINOR).$(PKG_REVISION)
 
 # I am implementation $LT_REVISION of binary interface $LT_CURRENT, which is
 # a superset of all interfaces back to $LT_CURRENT - $LT_AGE.
-LT_REVISION=1
-LT_CURRENT=2
-LT_AGE=2
+LT_REVISION=0
+LT_CURRENT=3
+LT_AGE=3
 
 PREFIX=/usr/local
 LIBDIR=$(PREFIX)/lib
@@ -59,13 +63,13 @@
 	$(LIBTOOL) --mode=compile --tag=CC $(CC) -I. -DTERMINFO_DIRS='$(TERMINFO_DIRS)' -Wall -std=c99 $(CFLAGS) $(CFLAGS_DEBUG) -o $@ -c $<
 
 $(LIBRARY): $(OBJECTS)
-	$(LIBTOOL) --mode=link --tag=CC $(CC) -rpath '$(LIBDIR)' -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -rpath '$(LIBDIR)' -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) -o $@ $^
 
 tools/%: $(LIBRARY) tools/%.lo
-	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
 %.t: $(LIBRARY) %.lo
-	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
 .PHONY: build-tools
 build-tools: $(TOOLS:.c=)

=== debian/changelog ===
unibilium (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Tue, 17 Nov 2015 21:41:26 -0500

=== debian/control ===
Source: unibilium
Priority: extra
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 9), libtool-bin, perl
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/mauke/unibilium
Vcs-Git: https://anonscm.debian.org/git/collab-maint/unibilium.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/unibilium.git/

Package: libunibilium-dev
Section: libdevel
Architecture: any
Depends: libunibilium0 (= ${binary:Version}), ${misc:Depends}
Description: simple, self-contained terminfo library (development files)
 This package contains the header files and documentation needed for developing
 with libunibilium.

Package: libunibilium0
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple, self-contained terminfo library
 Unibilium is a very basic terminfo library. It doesn't depend on curses or any
 other library. It also doesn't use global variables, so it should be
 thread-safe.

Package: libunibilium-dbg
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Section: debug
Architecture: any
Depends: libunibilium0 (= ${binary:Version}), ${misc:Depends}
Description: simple, self-contained terminfo library (debug symbols)
 This package contains the detach debug symbols for libunibilium.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_install:
	$(MAKE) LDFLAGS="$(LDFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr LIBDIR='$${PREFIX}/lib/$(DEB_HOST_MULTIARCH)' install

override_dh_strip:
	dh_strip --dbg-package=libunibilium-dbg

## unibilium 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-ifneq ($(wildcard .git),)
-  -include maint.mk
+ifneq ($(wildcard .maint),)
+  include maint.mk
 endif
 
 ifeq ($(shell uname),Darwin)
@@ -16,13 +16,13 @@
 
 PKG_MAJOR=1
 PKG_MINOR=2
-PKG_REVISION=0
+PKG_REVISION=1
 
 PKG_VERSION=$(PKG_MAJOR).$(PKG_MINOR).$(PKG_REVISION)
 
 # I am implementation $LT_REVISION of binary interface $LT_CURRENT, which is
 # a superset of all interfaces back to $LT_CURRENT - $LT_AGE.
-LT_REVISION=0
+LT_REVISION=1
 LT_CURRENT=3
 LT_AGE=3
 
@@ -32,12 +32,17 @@
 MANDIR=$(PREFIX)/share/man
 MAN3DIR=$(MANDIR)/man3
 
-TERMINFO_DIRS="/etc/terminfo:/lib/terminfo:/usr/share/terminfo:/usr/lib/terminfo:/usr/local/share/terminfo:/usr/local/lib/terminfo"
+ifneq ($(OS),Windows_NT)
+  TERMINFO_DIRS="/etc/terminfo:/lib/terminfo:/usr/share/terminfo:/usr/lib/terminfo:/usr/local/share/terminfo:/usr/local/lib/terminfo"
+else
+  TERMINFO_DIRS=""
+endif
 
 POD2MAN=pod2man
 POD2MAN_OPTS=-c "$(PACKAGE)" -s3 -r "$(PACKAGE)-$(PKG_VERSION)"
 
 PROVE=prove
+PROVEFLAGS=`perl -we 'print $$ENV{MAKEFLAGS} =~ /-j *(\d+)?/ ? "-j" . ($$1 || 2) : ""'`
 
 ifeq ($(DEBUG),1)
   CFLAGS_DEBUG=-ggdb -DDEBUG
@@ -79,7 +84,8 @@
 
 .PHONY: test
 test: build-test
-	$(PROVE)
+	@echo $(PROVE) $(PROVEFLAGS)
+	@$(PROVE) $(PROVEFLAGS)
 
 .PHONY: clean
 clean:
@@ -113,3 +119,10 @@
 
 man/%.3.gz: doc/%.pod
 	$(POD2MAN) $(POD2MAN_OPTS) $< | gzip > $@
+
+
+.PHONY: regenerate-tests
+regenerate-tests: tools/gen-static-test
+	for t in screen-256color screen tmux xterm; do \
+	    $< $$t > t/static_$$t.c; \
+	done

## unibilium 2.0.0

=== debian/changelog ===
unibilium (2.0.0-5) unstable; urgency=medium

  * Update CI tests to work with default-enabled -Wl,--as-needed
  * Add Build-Depends-Package to libunibilium4.symbols
  * rules:
    + Ensure CFLAGS/LDFLAGS are consistently used during the build
    + Support DEB_BUILD_OPTIONS=terse
  * Declare compliance with Policy 4.4.1

 -- James McCoy <jamessan@debian.org>  Sun, 17 Nov 2019 21:02:09 -0500

unibilium (2.0.0-4) unstable; urgency=medium

  * Depend on build-essential for ci tests

 -- James McCoy <jamessan@debian.org>  Wed, 25 Jul 2018 00:39:04 -0400

unibilium (2.0.0-3) unstable; urgency=medium

  * Remove no longer needed dbgsym migration
  * Relax checks for extended capability to support new format  (works around
    #904337)
  * Declare compliance with Policy 4.1.5, no changes needed
  * Add debci tests to build/use unibilium

 -- James McCoy <jamessan@debian.org>  Tue, 24 Jul 2018 20:34:30 -0400

unibilium (2.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Fri, 23 Feb 2018 07:38:03 -0500

unibilium (2.0.0-1) experimental; urgency=medium

  * New upstream version
    + Support wide terminfo format
  * Point Vcs-* to salsa.d.o
  * Change Priority to optional
  * Bump debhelper compat to 11
  * Update symbols/package names for ABI/API bump
  * Set R³ to no
  * Declare compliance with Policy 4.1.3
  * Proxy CPPFLAGS through CFLAGS

 -- James McCoy <jamessan@debian.org>  Sun, 18 Feb 2018 21:27:48 -0500

unibilium (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 10
  * Migrate to automatic debug packages
  * Enable hardening build flags
  * Declare compliance with Policy 4.1.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 14 Sep 2017 22:01:50 -0400

=== debian/control ===
Source: unibilium
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 11), libtool-bin, perl
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/mauke/unibilium
Vcs-Git: https://salsa.debian.org/jamessan/unibilium.git
Vcs-Browser: https://salsa.debian.org/jamessan/unibilium

Package: libunibilium-dev
Section: libdevel
Architecture: any
Depends: libunibilium4 (= ${binary:Version}), ${misc:Depends}
Description: simple, self-contained terminfo library (development files)
 This package contains the header files and documentation needed for developing
 with libunibilium.

Package: libunibilium4
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple, self-contained terminfo library
 Unibilium is a very basic terminfo library. It doesn't depend on curses or any
 other library. It also doesn't use global variables, so it should be
 thread-safe.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)
export CFLAGS
export LDFLAGS

LIBTOOL=libtool
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	LIBTOOL+=--quiet
endif
export LIBTOOL

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr LIBDIR='$${PREFIX}/lib/$(DEB_HOST_MULTIARCH)' install

=== debian/tests/control ===
Tests: parse-terminfo
Depends: @, build-essential, ncurses-base, pkg-config

## unibilium 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(unibilium LANGUAGES C)

file(GLOB SRC_FILES ${PROJECT_SOURCE_DIR}/*.c)
add_library(unibilium ${SRC_FILES})
set_target_properties(unibilium PROPERTIES PUBLIC_HEADER ${PROJECT_SOURCE_DIR}/unibilium.h
  VERSION "${VERSION_MAJOR}.${VERSION_MINOR}")

if(NOT WIN32)
  execute_process(COMMAND sh -c "ncursesw6-config --terminfo-dirs 2>/dev/null || \
      ncurses6-config  --terminfo-dirs 2>/dev/null || \
      ncursesw5-config --terminfo-dirs 2>/dev/null || \
      ncurses5-config  --terminfo-dirs 2>/dev/null || \
      echo '/etc/terminfo:/lib/terminfo:/usr/share/terminfo:/usr/lib/terminfo:/usr/local/share/terminfo:/usr/local/lib/terminfo'"
    OUTPUT_VARIABLE TERMINFO_DIRS)
  # Remove trailing newline
  string(STRIP "${TERMINFO_DIRS}" TERMINFO_DIRS)
else()
  set(TERMINFO_DIRS "")
endif()
target_compile_definitions(unibilium PUBLIC "TERMINFO_DIRS=\"${TERMINFO_DIRS}\"")

include(GNUInstallDirs)
install(TARGETS unibilium
  PUBLIC_HEADER
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== Makefile ===
--- 
+++ 
@@ -14,17 +14,17 @@
 
 PACKAGE=unibilium
 
-PKG_MAJOR=1
-PKG_MINOR=2
-PKG_REVISION=1
+PKG_MAJOR=2
+PKG_MINOR=1
+PKG_REVISION=0
 
 PKG_VERSION=$(PKG_MAJOR).$(PKG_MINOR).$(PKG_REVISION)
 
 # I am implementation $LT_REVISION of binary interface $LT_CURRENT, which is
 # a superset of all interfaces back to $LT_CURRENT - $LT_AGE.
 LT_REVISION=1
-LT_CURRENT=3
-LT_AGE=3
+LT_CURRENT=4
+LT_AGE=0
 
 PREFIX=/usr/local
 LIBDIR=$(PREFIX)/lib
@@ -33,7 +33,11 @@
 MAN3DIR=$(MANDIR)/man3
 
 ifneq ($(OS),Windows_NT)
-  TERMINFO_DIRS="/etc/terminfo:/lib/terminfo:/usr/share/terminfo:/usr/lib/terminfo:/usr/local/share/terminfo:/usr/local/lib/terminfo"
+  TERMINFO_DIRS="$(shell ncursesw6-config --terminfo-dirs 2>/dev/null || \
+                         ncurses6-config  --terminfo-dirs 2>/dev/null || \
+                         ncursesw5-config --terminfo-dirs 2>/dev/null || \
+                         ncurses5-config  --terminfo-dirs 2>/dev/null || \
+                         echo "/etc/terminfo:/lib/terminfo:/usr/share/terminfo:/usr/lib/terminfo:/usr/local/share/terminfo:/usr/local/lib/terminfo")"
 else
   TERMINFO_DIRS=""
 endif
@@ -42,10 +46,10 @@
 POD2MAN_OPTS=-c "$(PACKAGE)" -s3 -r "$(PACKAGE)-$(PKG_VERSION)"
 
 PROVE=prove
-PROVEFLAGS=`perl -we 'print $$ENV{MAKEFLAGS} =~ /-j *(\d+)?/ ? "-j" . ($$1 || 2) : ""'`
+PROVEFLAGS=-f `perl -we 'print $$ENV{MAKEFLAGS} =~ /-j *(\d+)?/ ? "-j" . ($$1 || 2) : ""'`
 
 ifeq ($(DEBUG),1)
-  CFLAGS_DEBUG=-ggdb -DDEBUG
+  CFLAGS_DEBUG=-ggdb -DDEBUG -Og
 endif
 
 OBJECTS=unibilium.lo uninames.lo uniutil.lo
@@ -102,7 +106,7 @@
 	mkdir -p '$(DESTDIR)$(INCDIR)'
 	install -m644 unibilium.h '$(DESTDIR)$(INCDIR)'
 	mkdir -p '$(DESTDIR)$(LIBDIR)/pkgconfig'
-	sed 's,@VERSION@,$(PKG_VERSION),;s,@LIBDIR@,$(LIBDIR),;s,@INCDIR@,$(INCDIR),' <unibilium.pc.in >'$(DESTDIR)$(LIBDIR)/pkgconfig/unibilium.pc'
+	perl -wpe 'BEGIN { @V{"VERSION", "LIBDIR", "INCDIR"} = splice @ARGV } s/\@(VERSION|LIBDIR|INCDIR)\@/$$V{$$1}/g' '$(PKG_VERSION)' '$(LIBDIR)' '$(INCDIR)' <unibilium.pc.in >'$(DESTDIR)$(LIBDIR)/pkgconfig/unibilium.pc'
 
 .PHONY: install-lib
 install-lib:
@@ -121,8 +125,18 @@
 	$(POD2MAN) $(POD2MAN_OPTS) $< | gzip > $@
 
 
+# Regenerate static test files, based on existing terminfo entries.
+# Typical usage (to not use files from ~/.terminfo etc):
+#   TERMINFO=/usr/share/terminfo make regenerate-tests
+STATIC_TEST_FILES:= \
+  t/static_screen-256color.c \
+  t/static_screen.c \
+  t/static_tmux.c \
+  t/static_xterm-256color.c
 .PHONY: regenerate-tests
-regenerate-tests: tools/gen-static-test
-	for t in screen-256color screen tmux xterm; do \
-	    $< $$t > t/static_$$t.c; \
-	done
+regenerate-tests:
+	$(RM) $(STATIC_TEST_FILES)
+	$(MAKE) $(STATIC_TEST_FILES)
+
+t/static_%.c: | tools/gen-static-test
+	$< $(patsubst t/static_%.c,%,$@) > $@

=== debian/changelog ===
unibilium (2.1.0-3) unstable; urgency=medium

  [ Sven Joachim ]
  * autopkgtest: Fix path to terminfo files (Closes: #1028231)

 -- James McCoy <jamessan@debian.org>  Thu, 22 Jun 2023 19:26:23 -0400

unibilium (2.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + libunibilium-dev: Add Multi-Arch: same.

  [ Sven Joachim ]
  * autopkgtest: Look for terminfo files under /usr/share/terminfo
    (Closes: #1028231)
  * autopkgtest: Fix logic to find -256color terminfo entries

  [ James McCoy ]
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 20 Jun 2023 13:43:17 -0400

unibilium (2.1.0-1) unstable; urgency=medium

  * New upstream release
    + Remove patches, all applied upstream
  * uscan: Switch to neovim-maintained repo
  * copyright: Bump copyright years for debian/
  * Change upstream URLs to neovim repo
  * Run wrap-and-sort -ast
  * Build-Depend on debhelper-compat (= 12)
  * rules:
    + Force makefile buildsystem so CMake is not used
  * Ship static library in libunibilium-dev
  * Tell dh_missing that libunibilium.la is intentionally not shipped
  * Declare compliance with Policy 4.5.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 04 Apr 2020 09:15:15 -0400

=== debian/control ===
Source: unibilium
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtool-bin,
 perl,
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/neovim/unibilium
Vcs-Git: https://salsa.debian.org/jamessan/unibilium.git
Vcs-Browser: https://salsa.debian.org/jamessan/unibilium

Package: libunibilium-dev
Section: libdevel
Architecture: any
Depends:
 libunibilium4 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: simple, self-contained terminfo library (development files)
 This package contains the header files and documentation needed for developing
 with libunibilium.

Package: libunibilium4
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple, self-contained terminfo library
 Unibilium is a very basic terminfo library. It doesn't depend on curses or any
 other library. It also doesn't use global variables, so it should be
 thread-safe.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export LIBTOOL
 
 %:
-	dh $@
+	dh $@ --buildsystem makefile
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr LIBDIR='$${PREFIX}/lib/$(DEB_HOST_MULTIARCH)' install

=== debian/tests/control ===
Tests: parse-terminfo
Depends:
 build-essential,
 ncurses-base,
 pkg-config,
 @,

## unibilium 2.1.1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 PKG_MAJOR=2
 PKG_MINOR=1
-PKG_REVISION=0
+PKG_REVISION=1
 
 PKG_VERSION=$(PKG_MAJOR).$(PKG_MINOR).$(PKG_REVISION)
 
@@ -74,10 +74,10 @@
 $(LIBRARY): $(OBJECTS)
 	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -rpath '$(LIBDIR)' -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) -o $@ $^
 
-tools/%: $(LIBRARY) tools/%.lo
+tools/%: $(LIBRARY) $(OBJECTS) tools/%.lo
 	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
-%.t: $(LIBRARY) %.lo
+%.t: $(LIBRARY) $(OBJECTS) %.lo
 	$(LIBTOOL) --mode=link --tag=CC $(CC) $(LDFLAGS) -o $@ $^
 
 .PHONY: build-tools

=== debian/changelog ===
unibilium (2.1.1-2) unstable; urgency=medium

  * Add :native qualifier to perl Build-Depends
  * Add <!nocheck> profile for perl Build-Depends

 -- James McCoy <jamessan@debian.org>  Wed, 20 Mar 2024 18:41:10 -0400

unibilium (2.1.1-1) unstable; urgency=medium

  [ James McCoy ]
  * New upstream release

  [ Helmut Grohne ]
  * Generate a libtool instead of using libtool-bin (Closes: #1064850)

 -- James McCoy <jamessan@debian.org>  Tue, 19 Mar 2024 08:25:45 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libtool-bin,
- perl,
+ libtool,
+ perl:native <!nocheck>,
 Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export CFLAGS
 export LDFLAGS
 
-LIBTOOL=libtool
+LIBTOOL=$(CURDIR)/debian/libtool/libtool
 ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 	LIBTOOL+=--quiet
 endif
@@ -16,5 +16,16 @@
 %:
 	dh $@ --buildsystem makefile
 
+# Clean needs to invoke configure so "make clean" doesn't fail
+override_dh_auto_clean: override_dh_auto_configure
+	dh_auto_clean
+	rm -rf debian/libtool
+
+override_dh_auto_configure:
+	mkdir -p debian/libtool
+	cp debian/configure.ac debian/libtool/
+	env -C debian/libtool LIBTOOLIZE='libtoolize -i' autoreconf -f -i
+	dh_auto_configure --sourcedirectory=debian/libtool --buildsystem=autoconf
+
 override_dh_auto_install:
 	$(MAKE) DESTDIR="$(CURDIR)/debian/tmp" PREFIX=/usr LIBDIR='$${PREFIX}/lib/$(DEB_HOST_MULTIARCH)' install
